parameters:
#    t_vn7_user.example.class: TVn7\UserBundle\Example

services:
    acme_user.registration.form.type:
        class: TVn7\UserBundle\Form\Type\ProfileFormType
        arguments: ["%fos_user.model.user.class%"]
        tags:
            - { name: form.type, alias: tdb_user_profile}

    tvn7.user.login:
         class: TVn7\UserBundle\EventListener\LoginListener
         arguments: ["@tvn7.user.ldap.sync", "@logger"]
         tags:
             - { name: kernel.event_listener, event: security.authentication.success, method: handle }
             - { name: kernel.event_listener, event: security.switch_user, method: handleSwitchUser }
             - { name: monolog.logger, channel: security }

    validator.LDAPUserExists:
        class: TVn7\UserBundle\Validator\Constraints\LDAPUserExistsValidator
        arguments: ["@tvn7.ldap.driver"]
        tags:
            - { name: validator.constraint_validator }

    validator.EcoleFiliere:
        class: TVn7\UserBundle\Validator\Constraints\EcoleFiliereValidator
        arguments: ["@tvn7.ldap.driver"]
        tags:
            - { name: validator.constraint_validator }

    tvn7.user.permission_checker:
        class: TVn7\UserBundle\Security\PermissionChecker
        arguments: ["@security.role_hierarchy"]
        public: true

    tvn7.user.ldap.sync:
         class: TVn7\UserBundle\Ldap\Sync
         arguments: ["@tvn7.ldap.driver", "@logger", "@tvn7.user.permission_checker", "%tvn7_user.config%"]
         tags:
             - { name: monolog.logger, channel: security }

    tvn7.user.form.membre:
        class: TVn7\UserBundle\Form\MembreType
        arguments: ["@tvn7.ldap.driver"]
        tags: [form.type]
